<app-animated-title
  [inputWord]="UI.txt_actors"
  (isVisible)="handleVisible($event)"
></app-animated-title>

<app-spinner *ngIf="isLoading"></app-spinner>

<div
  [@fromTheDepths]="isContentVisible ? 'visible' : 'hidden'"
  class="page-container"
>
  <app-actor
    *ngFor="
      let actor of (this.searchService.searchResults.length
        ? this.searchService.searchResults
        : actorsList
      )
        | filterAndSortImages
        | paginate
          : {
              itemsPerPage: itemsPerPage,
              currentPage: currentPage
            }
    "
    [actor]="isActorValid(actor)"
  ></app-actor>
</div>

<app-pagination
  *ngIf="!isLoading"
  [currentPage]="currentPage"
  (pageChanged)="handlePageChange($event)"
></app-pagination>
